CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2020 开发者帮助

Groups 属性 (ActiveX)

2024-5-18 18:21| 发布者: admin| 查看: 85| 评论: 0|原作者: admin|来自: AutoCAD

Groups 属性 (ActiveX)

获取文档的 Groups 集合。

支持的平台:仅限 Windows

签名

VBA:

object.Groups
对象

类型:数据库文档

此属性应用于的对象。

属性值

只读:是的

类型:

文档的 Groups 集合。

言论

没有其他评论。

例子

VBA:

Sub Example_Groups()
    ' This example finds the current Groups collection and
    ' adds a new group to that collection.
    
    Dim groupColl As AcadGroups
    Set groupColl = ThisDrawing.Groups
    
    ' Create a dimension style named "TEST" in current drawing
    Dim testGroup As AcadGroup
    Set testGroup = groupColl.Add("TEST")
    MsgBox "A new group called " & testGroup.name & " has been added to the Groups collection.", vbInformation, "Groups Example"
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_Groups()
    ;; This example finds the current Groups collection and
    ;; adds a new group to that collection.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    (setq groupColl (vla-get-Groups doc))
    
    ;; Create a dimension style named "TEST" in current drawing
    (setq testGroup (vla-Add groupColl "TEST"))
    (alert (strcat "A new group called " (vla-get-Name testGroup) " has been added to the Groups collection."))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2024-12-15 12:36

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部